Bug 1004312 - SELinux is preventing /usr/sbin/openct-control from 'create' accesses on the netlink_kobject_uevent_socket .
SELinux is preventing /usr/sbin/openct-control from 'create' accesses on the ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:3086280f1ab519adca9dfe2333f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 07:40 EDT by Jeff Bastian
Modified: 2013-09-13 22:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 22:30:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2013-09-04 07:40:13 EDT
Description of problem:
I don't know what caused tihs.

There are actually 4 alerts for openct-control: create, setopt, bind and getattr on netlink_kobject_uevent_socket
SELinux is preventing /usr/sbin/openct-control from 'create' accesses on the netlink_kobject_uevent_socket .

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that openct-control should be allowed create access on the  netlink_kobject_uevent_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep openct-control /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:openct_t:s0
Target Context                system_u:system_r:openct_t:s0
Target Objects                 [ netlink_kobject_uevent_socket ]
Source                        openct-control
Source Path                   /usr/sbin/openct-control
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           openct-0.6.20-6.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-73.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.10-200.fc19.x86_64 #1 SMP Thu
                              Aug 29 19:05:45 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-09-04 06:28:04 CDT
Last Seen                     2013-09-04 06:37:03 CDT
Local ID                      40e86222-5ad1-4046-a52d-c996701417d3

Raw Audit Messages
type=AVC msg=audit(1378294623.809:67): avc:  denied  { create } for  pid=446 comm="openct-control" scontext=system_u:system_r:openct_t:s0 tcontext=system_u:system_r:openct_t:s0 tclass=netlink_kobject_uevent_socket


type=SYSCALL msg=audit(1378294623.809:67): arch=x86_64 syscall=socket success=yes exit=EINTR a0=10 a1=80803 a2=f a3=8c86a0 items=0 ppid=1 pid=446 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=openct-control exe=/usr/sbin/openct-control subj=system_u:system_r:openct_t:s0 key=(null)

Hash: openct-control,openct_t,openct_t,netlink_kobject_uevent_socket,create

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.10-200.fc19.x86_64
type:           libreport
Comment 1 Jeff Bastian 2013-09-04 07:47:06 EDT
The full module from audit2allow:


module openct 1.0;

require {
	type openct_t;
	class netlink_kobject_uevent_socket { bind create setopt getattr };
}

#============= openct_t ==============
allow openct_t self:netlink_kobject_uevent_socket { bind create setopt getattr };
Comment 2 Daniel Walsh 2013-09-04 08:52:41 EDT
Seems like lots of apps are suddenly needing this access.  I wonder if some library has changed to require it.

4c90126c2c4e9fa4bccca271aff181346459d026 fixes this in git.
Comment 3 Lukas Vrabec 2013-09-07 15:57:14 EDT
back port it to the F19
Comment 5 ahmad.harthi@yahoo.com 2013-09-11 01:51:58 EDT
Description of problem:
It happens sometimes when I start the machine from a full shutdown! With interference from me.

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.10-200.fc19.x86_64
type:           libreport
Comment 6 ahmad.harthi@yahoo.com 2013-09-11 01:57:32 EDT
(In reply to ahmad.harthi@yahoo.com from comment #5)
> It happens sometimes when I start the machine from a full shutdown! *With
> interference from me.

"Without interference from me".
Comment 7 Fedora Update System 2013-09-12 05:09:30 EDT
selinux-policy-3.12.1-74.3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.3.fc19
Comment 8 Fedora Update System 2013-09-12 20:58:41 EDT
Package selinux-policy-3.12.1-74.3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16580/selinux-policy-3.12.1-74.3.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-09-13 22:30:42 EDT
selinux-policy-3.12.1-74.3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.